Bug 1033305 - rabbitmq-plugins is not in the default $PATH
Summary: rabbitmq-plugins is not in the default $PATH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitmq-server
Version: 19
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-21 20:32 UTC by John F
Modified: 2014-10-16 02:02 UTC (History)
5 users (show)

Fixed In Version: rabbitmq-server-3.1.5-10.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-11 06:51:39 UTC
Type: Bug


Attachments (Terms of Use)

Description John F 2013-11-21 20:32:03 UTC
Description of problem:

This program is used to, for instance, enable the http management console.  In the homebrew distribution, it's available in the default path.

In fedora it's:

$ rpm -ql rabbitmq-server | grep bin/rabbitmq-plugins
/usr/lib/rabbitmq/bin/rabbitmq-plugins
/usr/lib/rabbitmq/lib/rabbitmq_server-3.1.5/sbin/rabbitmq-plugins

In the official distribution, it's in the default path:

$ curl -LO http://www.rabbitmq.com/releases/rabbitmq-server/v3.2.1/rabbitmq-server-3.2.1-1.noarch.rpm
$ rpm -qpl rabbitmq-server-3.2.1-1.noarch.rpm | grep bin/rabbitmq-plugin
warning: rabbitmq-server-3.2.1-1.noarch.rpm: Header V4 DSA/SHA1 Signature, key ID 056e8e56: NOKEY
/usr/lib/rabbitmq/bin/rabbitmq-plugins
/usr/lib/rabbitmq/lib/rabbitmq_server-3.2.1/sbin/rabbitmq-plugins
/usr/sbin/rabbitmq-plugins

How reproducible:
100%

Steps to Reproduce:
1. install rabbitmq-server
2. try to run "sudo rabbitmq-plugins enable rabbitmq_management"

Actual results:
Program not found in $PATH.

Expected results:
Program found in $PATH and can be run

Comment 1 pavel.nedr 2014-04-17 04:21:47 UTC
I confirm this bug in Fedora 20

Comment 2 Fedora Admin XMLRPC Client 2014-07-01 17:58:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Michael Rice 2014-09-30 02:38:53 UTC
still an issue in f20

Is anyone looking to fix this?

Comment 4 Fedora Update System 2014-09-30 19:37:37 UTC
rabbitmq-server-3.1.5-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rabbitmq-server-3.1.5-10.fc20

Comment 5 Fedora Update System 2014-10-03 04:00:51 UTC
Package rabbitmq-server-3.1.5-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rabbitmq-server-3.1.5-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11993/rabbitmq-server-3.1.5-10.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-10 16:18:50 UTC
rabbitmq-server-3.1.5-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rabbitmq-server-3.1.5-10.fc21

Comment 7 Fedora Update System 2014-10-11 06:51:39 UTC
rabbitmq-server-3.1.5-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-16 02:02:39 UTC
rabbitmq-server-3.1.5-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.